Bug 196225 - Bad /etc/profile.d/kde.sh in kdelibs-3.5.3-0.2.fc5
Bad /etc/profile.d/kde.sh in kdelibs-3.5.3-0.2.fc5
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kdelibs (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-21 22:41 EDT by H.J. Lu
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-24 02:49:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description H.J. Lu 2006-06-21 22:41:05 EDT
After upgrading to kdelibs-3.5.3-0.2.fc5, I got

connect to address 172.25.70.98: Connection refused
Trying krb4 rlogin...
connect to address 172.25.70.98: Connection refused
trying normal rlogin (/usr/bin/rlogin)
Last login: Wed Jun 21 08:37:27 from gnu-13
/etc/profile.d/kde.sh:4: = not found

when I logged nto my machine. I see

[root@gnu-10 hjl]# more /etc/profile.d/kde.sh
# When/if using prelinking, avoids (some) use of kdeinit
if [ -f /etc/sysconfig/prelink ] ; then
   source /etc/sysconfig/prelink
   if [ "$PRELINKING" == yes ] ; then
      [ -z "$KDE_IS_PRELINKED" ] && KDE_IS_PRELINKED=1 && export KDE_IS_PRELINKE
D
   fi
fi

# if not using IP6, speeds DNS operations
# [ -z "$KDE_NO_IPV6" ] && KDE_NO_IPV6=1 && export KDE_NO_IPV6

# Make sure KDEDIR is set
[ -z "$KDEDIR" ] && KDEDIR="/usr"
export KDEDIR

It should be

if [ "$PRELINKING" = yes ] ; then

instead of

if [ "$PRELINKING" == yes ] ; then
Comment 1 Ngo Than 2006-06-24 02:49:28 EDT
it's now fixed in kdelibs-3.5.3-5/kdelibs-3.5.3-0.3.fc5. Thanks for your 
report.

Note You need to log in before you can comment on or make changes to this bug.